Subject: [mpls] I-D Action: draft-ietf-mpls-static-yang-08.txt

From: [email-masked]
Date: Sat, 02 Mar 2019 12:09:27 -0800

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Multiprotocol Label Switching WG of the IETF.

        Title           : A YANG Data Model for MPLS Static LSPs
        Authors         : Tarek Saad
                          Rakesh Gandhi
                          Xufeng Liu
                          Vishnu Pavan Beeram
                          Igor Bryskin
	Filename        : draft-ietf-mpls-static-yang-08.txt
	Pages           : 18
	Date            : 2019-03-02

Abstract:
   This document contains the specification for the MPLS Static Label
   Switched Paths (LSPs) YANG model.  The model allows for the
   provisioning of static LSP(s) on Label Edge Router(s) LER(s) and
   Label Switched Router(s) LSR(s) devices along a LSP path without the
   dependency on any signaling protocol.  The MPLS Static LSP model
   augments the MPLS base YANG model with specific data to configure and
   manage MPLS Static LSP(s).

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-mpls-static-yang/

There are also htmlized versions available at:
https://tools.ietf.org/html/draft-ietf-mpls-static-yang-08
https://datatracker.ietf.org/doc/html/draft-ietf-mpls-static-yang-08

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-mpls-static-yang-08

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

---

From: tom petch <[email-masked]>
Date: Tue, 5 Mar 2019 17:36:08 +0000

A long and winding road!

 module ietf-mpls-static {
....
   import ietf-routing-types {
     prefix "rt-types";
     reference "RFC8294: Common YANG Data Types";

I see, in the RFC Index,

8294 Common YANG Data Types for the Routing Area.
i.e. a different title

module ietf-mpls-static-extended {
...
  import ietf-routing {    prefix "rt";
    reference "RFC6991: Common YANG Data Types";
I suggest
     reference "RFC8349: A YANG Data Model for Routing Management";

 reference "RFC XXXX: Extended YANG Data Model for MPLS Static LSPs";
um - I see this I-D as titled
A YANG Data Model for MPLS Static LSPs

Tom Petch

----- Original Message -----
From: <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Sent: Saturday, March 02, 2019 8:09 PM

> _______________________________________________
> I-D-Announce mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/i-d-announce
> Internet-Draft directories: http://www.ietf.org/shadow.html
> or ftp://ftp.ietf.org/ietf/1shadow-sites.txt

---

From: Tarek Saad <[email-masked]>
Date: Wed, 6 Mar 2019 09:53:02 -0500

Hi Tom,

As usual, thanks for your review on this one and for your patience. More
Inline..

On Tue, Mar 5, 2019 at 12:36 PM tom petch <[email-masked]> wrote:

> .....
> [TS]: yes, unfortunately a deja vu (fixed in another module). We'll take
care of this in the new version.

> [TS]: yes, will take of this.

> [TS]: OK for this one too.

Regards,
Tarek

> mpls mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mpls
>

---

From: tom petch <[email-masked]>
Date: Thu, 7 Mar 2019 12:48:29 +0000

Tarek

One point I keep noticing but do not think I have raised before is

      units mbps;
      description
        "Bandwidth in Mbps,

I have known systems fail because one party was using mbps, another
Mbps, so seeing a mix of the two, as here, raises a flag for me.  I note
that
draft-ietf-teas-yang-te-types
has
       units "Mbps";
which I prefer - if they really mean Mbps and not mbps; I have my
doubts! - but then
 draft-ietf-l2sm-l2vpn-service-model-10
has
        units "mbps";
        default "10";  description
          "LACP speed. By default, the lacp speed is 10Mbps.";

Perhaps in the context of MPLS there is no ambiguity but it would be
nice to have consistency at least within an I-D.

Tom Petch

----- Original Message -----
From: "Tarek Saad" <[email-masked]>
Sent: Wednesday, March 06, 2019 2:53 PM

> > > This draft is a work item of the Multiprotocol Label Switching WG
of
> > the IETF.
> > >    Label Switched Router(s) LSR(s) devices along a LSP path
without
> > the
> > >    augments the MPLS base YANG model with specific data to
configure
> > and

---

From: Tarek Saad <[email-masked]>
Date: Fri, 8 Mar 2019 18:14:21 +0000

Hi Tom,

Thanks. We'll unify to "Mbps" and keep this consistent in units and description.

Regards,
Tarek

On 3/7/19, 7:48 AM, "tom petch" <[email-masked]> wrote:

    Tarek

          units mbps;
          description
            "Bandwidth in Mbps,

    
    Tom Petch
    
    ----- Original Message -----
    From: "Tarek Saad" <[email-masked]>
    Sent: Wednesday, March 06, 2019 2:53 PM

    of
    without
    configure

---

From: Tarek Saad <[email-masked]>
Date: Fri, 8 Mar 2019 19:13:09 +0000

Thanks Tom. The comments are addressed in version -09: 
https://tools.ietf.org/html/draft-ietf-mpls-static-yang-09

And diff:
https://www.ietf.org/rfcdiff?url2=draft-ietf-mpls-static-yang-09

Regards,
Tarek

On 3/8/19, 1:14 PM, "Tarek Saad" <[email-masked]> wrote:

    Hi Tom,

    Regards,
    Tarek

        Tarek

              units mbps;
              description
                "Bandwidth in Mbps,

        
        Tom Petch
        
        ----- Original Message -----
        From: "Tarek Saad" <[email-masked]>
        Sent: Wednesday, March 06, 2019 2:53 PM

        of
        without
        configure

---

From: tom petch <[email-masked]>
Date: Tue, 19 Mar 2019 17:31:38 +0000

---- Original Message -----
From: "Tarek Saad" <[email-masked]>
Sent: Friday, March 08, 2019 7:13 PM

> https://www.ietf.org/rfcdiff?url2=draft-ietf-mpls-static-yang-09

Indeed they are.  Two more technical thoughts

IANA Considerations has

      prefix:     ietf-mpls-static-extended

which I was about to say was rather long for a prefix and then I saw

   module ietf-mpls-static-extended { ...
     prefix "mpls-static-ext";

which is not so long, probably short enough (if that is the right one!).

Second, I am wont to check such statements as
       leaf lsp-priority-hold { type uint8 {
           range "0..7";  }
         description "LSP hold priority";
against the original specification, since I know of rtgwg YANG modules
where the YANG contradicts the published RFC; but there is no reference
clause for objects such as this one, so I would have to go digging for
the relevant RFC, which was easy in 2001 because there were so few RFC
but now ...

If you add references, I will go look up the relevant sections - if not,
...

Up to you:-)

Tom Petch

>         > As usual, thanks for your review on this one and for your
patience.
>         More
>         > > [TS]: yes, unfortunately a deja vu (fixed in another
module). We'll
>         take
>         > > > A New Internet-Draft is available from the on-line
Internet-Drafts
>         > > directories.
>         > > >    This document contains the specification for the MPLS
Static
>         Label
>         > > >    provisioning of static LSP(s) on Label Edge Router(s)
LER(s)
>         > > >    dependency on any signaling protocol.  The MPLS
Static LSP
>         model
>         > > >
>         > > >
>         > > > Please note that it may take a couple of minutes from
the time of
>         > > submission

---

From: Tarek Saad <[email-masked]>
Date: Wed, 20 Mar 2019 16:19:30 +0000

Hi Tom,

Thanks for the feedback (as usual). See inline..

On 3/19/19, 1:31 PM, "tom petch" <[email-masked]> wrote:

    ---- Original Message -----
    From: "Tarek Saad" <[email-masked]>
    Sent: Friday, March 08, 2019 7:13 PM

    
    IANA Considerations has

    

[TS]: the reference is RFC3209, section 4.7.1. We can add it next chance we get to make edits.

      Holding Priority

         The priority of the session with respect to holding resources,
         in the range of 0 to 7.  The value 0 is the highest priority.
         Holding Priority is used in deciding whether this session can
         be preempted by another session.

Regards,
Tarek

    
    Up to you:-)
    
    Tom Petch
    
    patience.
    module). We'll
    Internet-Drafts
    Static
    LER(s)
    Static LSP
    the time of